Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.xjep.function
Class XAssign

    java.lang.Object
      org.nfunk.jep.function.PostfixMathCommand
          org.nfunk.jep.function.Assign
              org.lsmp.djep.xjep.function.XAssign

All Implemented Interfaces:
  CommandVisitorI, CallbackEvaluationI, PostfixMathCommandI

    public class XAssign

extends Assign
implements CommandVisitorI

An assignment operator so we can do x=3+4. This function implements the SpecialEvaluationI interface so that it handles seting the value of a variable.

Author:
  Rich Morris Created on 18-Nov-2003

Field Summary

Fields inherited from class org.nfunk.jep.function.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`XAssign()`

Method Summary
`Node` | `process(Node node, Node[] children, XJep xjep)` In the pre-process stage, set the equation of the lhs variable to the rhs equation.

Methods inherited from class org.nfunk.jep.function.Assign
`evaluate`

Methods inherited from class org.nfunk.jep.function.PostfixMathCommand
`checkNumberOfParameters, checkStack, getNumberOfParameters, run, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XAssign

    public XAssign()

Method Detail

### process

    public Node process(Node node,
                        Node[] children,
                        XJep xjep)
                 throws ParseException

  In the pre-process stage, set the equation of the lhs variable to the rhs equation.

  Specified by:
    `process` in interface `CommandVisitorI`
  Parameters:
    `node` - top node of the tree
    `children` - the children of the node after they have been preprocessed.
    `xjep` - a reference to the current XJep interface.
  Returns:
    top node of the results.
  Throws:
    `ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems